Get Workflow Status

Get workflow status and result.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflow_idstringRequired

Response

Successful Response
workflow_idstring
Workflow ID
statusenum
Current status
started_atdatetime
Start time
agent_idstringOptionalDefaults to
Agent that ran this workflow
document_refstring or nullOptional

Caller-provided document identifier.

check_typeenumOptional

How this check is counted: ‘batch’ for a document checked as part of a batch, ‘interactive’ for a direct /run check.

assignedbooleanOptionalDefaults to true
Whether the check counts as authoring activity for an author.
batch_idstring or nullOptional

Owning batch id (agbw_<nanoid>); null unless this is a batch check.

resultmap from strings to any or nullOptional

Result (if completed)

completed_atdatetime or nullOptional
Workflow completion time

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error